ContextHandler (Apache Tomcat 10.1.55 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ContextHandler

# Class ContextHandler

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.ContextHandler

All Implemented Interfaces:
  `Serializable, Injectable`

public class ContextHandler extends ResourceBase
Representation of a handler reference for a web service, as represented in a `<handler>` element in the deployment descriptor.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPortName(String portName)`
  `void`
  `addSoapHeaders(String localpart, String namespaceuri)`
  `void`
  `addSoapRole(String soapRole)`
  `boolean`
  `equals(Object obj)`
  `String`
  `getHandlerclass()`
  `Iterator<String>`
  `getLocalparts()`
  `String`
  `getNamespaceuri(String localpart)`
  `String`
  `getPortName(int i)`
  `int`
  `getPortNamesSize()`
  `String`
  `getSoapRole(int i)`
  `int`
  `getSoapRolesSize()`
  `int`
  `hashCode()`
  `void`
  `setHandlerclass(String handlerclass)`
  `void`
  `setProperty(String name, String value)`
  Set a configured property.
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class ResourceBase

  `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextHandler

    public ContextHandler()

- ## Method Details

  - ### getHandlerclass

    public String getHandlerclass()

  - ### setHandlerclass

    public void setHandlerclass(String handlerclass)

  - ### getLocalparts

    public Iterator<String> getLocalparts()

  - ### getNamespaceuri

    public String getNamespaceuri(String localpart)

  - ### addSoapHeaders

    public void addSoapHeaders(String localpart, String namespaceuri)

  - ### setProperty

    public void setProperty(String name, String value)
    Set a configured property.
    Parameters:
      `name` - The property name
      `value` - The property value

  - ### getSoapRole

    public String getSoapRole(int i)

  - ### getSoapRolesSize

    public int getSoapRolesSize()

  - ### addSoapRole

    public void addSoapRole(String soapRole)

  - ### getPortName

    public String getPortName(int i)

  - ### getPortNamesSize

    public int getPortNamesSize()

  - ### addPortName

    public void addPortName(String portName)

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ResourceBase`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ResourceBase`